View Issue Details

IDProjectCategoryView StatusLast Update
0017418LazarusLCLpublic2011-12-01 11:24
ReporterJon Lennart AasendenAssigned ToZeljan Rikalo 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017418: synEdit events stops working after resize on Mac
DescriptionSetting synEdit alignment to “alClient” and resizing the form (in a running application) "back and forth" on the mac cause synEdit to stop sending events.

It is especially the Status change event that is affected, which is somewhat critical to keep track of document modification state, cursor position etc.
Additional InformationCombined with the resize bug (see submitted list, same heading), this means it is risky to use synEdit on the Mac. It is probably just a small bug, but it means I cannot finish my Mac project :(
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCarbon
Attached Files

Activities

Juha Manninen

2010-09-15 11:26

developer   ~0041102

Does it happen also with the latest development version, 0.9.29?

Zeljan Rikalo

2010-09-21 08:32

developer   ~0041254

Fixed during 0.9.29. Tested with r27423.
If you still found problems with this issue (with svn r >= 27243) please attach example of problem.

Issue History

Date Modified Username Field Change
2010-09-15 10:49 Jon Lennart Aasenden New Issue
2010-09-15 10:49 Jon Lennart Aasenden Widgetset => Carbon
2010-09-15 11:26 Juha Manninen LazTarget => -
2010-09-15 11:26 Juha Manninen Note Added: 0041102
2010-09-15 11:26 Juha Manninen Status new => feedback
2010-09-21 08:32 Zeljan Rikalo Status feedback => resolved
2010-09-21 08:32 Zeljan Rikalo Fixed in Version => 0.9.29 (SVN)
2010-09-21 08:32 Zeljan Rikalo Resolution open => fixed
2010-09-21 08:32 Zeljan Rikalo Assigned To => Zeljan Rikalo
2010-09-21 08:32 Zeljan Rikalo Note Added: 0041254
2011-12-01 11:24 Marc Weustink Status resolved => closed